在更新时如何让pacman使用我的自定义PKGBUILD?

Modified on: Sat, 30 Jun 2018 04:57:00 +0800

我为Apache定制了PKGBUILD,运行makepkg并使用pacman -U httpd.tar.xz安装它,它工作正常。几个月后,我使用pacman -Syu升级了我的系统,它使用了Apache的系统默认配置,这破坏了我的Web服务器。如何告诉pacman始终使用我的自定义编译设置,以便每次发布新版本时都不必手动升级?

最佳答案

我通过安装yaourt和customizepkg解决了这个问题,这让我可以充分利用这两个世界:官方存储库中最新和最好的版本,自动修补我的特定需求。


相关问答

添加新评论